microsoft-foundry.rest.security.o-auth2-auth
Indexes
Get a version
GET
/indexes/{name}/versions/{version}
Get the specific version of the Index. The service returns 404 Not Found error if the Index does not exist.
Paramètres de la requête
api-version
string
obligatoire
The API version to use for this operation.
Paramètres de chemin d’accès
name
string
obligatoire
The name of the resource
version
string
obligatoire
The specific version id of the Index to retrieve.
Réponses
The request has succeeded.
Corps
Content-Type: application/json
Celui-ci peut avoir l'une des valeurs suivantes :
AzureSearch
AzureAISearchIndex
Azure AI Search Index Definition
type
enum
obligatoire
Type of index
AzureSearch
ManagedAzureSearch
ManagedAzureAISearchIndex
Managed Azure AI Search Index Definition
type
enum
obligatoire
Type of index
ManagedAzureSearch
CosmosDBNoSqlVectorStore
CosmosDBIndex
CosmosDB Vector Store Index Definition
type
enum
obligatoire
Type of index
CosmosDBNoSqlVectorStore
Requête
GET /indexes/{name}/versions/{version} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json